Package org.apache.batchee.tools.maven

## Class JobActionMojoBase

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.batchee.tools.maven.BatchEEMojoBase
    - - org.apache.batchee.tools.maven.JobActionMojoBase

- All Implemented Interfaces:
    `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`
  Direct Known Subclasses:
    `ReStartMojo`, `StartMojo`

      public abstract class JobActionMojoBase
      extends BatchEEMojoBase

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Map<String,​String>` | `jobParameters` | the job parameters to use.
    `protected boolean` | `wait` | wait or not the end of this task before exiting maven plugin execution.

    - ### Fields inherited from class org.apache.batchee.tools.maven.BatchEEMojoBase

      `operator, properties`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobActionMojoBase()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static Properties` | `toProperties​(Map<String,​String> jobParameters)` |
    `protected void` | `waitEnd​(javax.batch.operations.JobOperator jobOperator, long id)` |

    - ### Methods inherited from class org.apache.batchee.tools.maven.BatchEEMojoBase

      `getOrCreateOperator`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.plugin.Mojo

      `execute`

- - ### Field Detail

    - #### jobParameters

          @Parameter
          protected Map<String,​String> jobParameters

      the job parameters to use.

    - #### wait

          @Parameter(property="batchee.wait",
                     defaultValue="false")
          protected boolean wait

      wait or not the end of this task before exiting maven plugin execution.

  - ### Constructor Detail

    - #### JobActionMojoBase

          public JobActionMojoBase()

  - ### Method Detail

    - #### toProperties

          protected static Properties toProperties​(Map<String,​String> jobParameters)

    - #### waitEnd

          protected void waitEnd​(javax.batch.operations.JobOperator jobOperator,
                                 long id)